## Errors

Errors

## Functions

const gchar * | qmi_core_error_get_string ()
const gchar * | qmi_protocol_error_get_string ()

## Types and Values

enum | QmiCoreError
enum | QmiProtocolError

## Object Hierarchy

        GEnum
        ├── QmiCoreError
        ╰── QmiProtocolError

## Description

This section defines common error types used in the interface.

## Functions

### qmi_core_error_get_string ()

    const gchar *
    qmi_core_error_get_string (QmiCoreError val);

Gets the nickname string for the QmiCoreError specified at `val` .

#### Parameters

val | a QmiCoreError. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_protocol_error_get_string ()

    const gchar *
    qmi_protocol_error_get_string (QmiProtocolError val);

Gets the nickname string for the QmiProtocolError specified at `val` .

#### Parameters

val | a QmiProtocolError. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

## Types and Values

### enum QmiCoreError

Common errors that may be reported by libqmi-glib.

#### Members

QMI_CORE_ERROR_FAILED | Operation failed. |
QMI_CORE_ERROR_WRONG_STATE | Operation cannot be executed in the current state. |
QMI_CORE_ERROR_TIMEOUT | Operation timed out. |
QMI_CORE_ERROR_INVALID_ARGS | Invalid arguments given. |
QMI_CORE_ERROR_INVALID_MESSAGE | QMI message is invalid. |
QMI_CORE_ERROR_TLV_NOT_FOUND | TLV not found. |
QMI_CORE_ERROR_TLV_TOO_LONG | TLV is too long. |
QMI_CORE_ERROR_UNSUPPORTED | Not supported. |
QMI_CORE_ERROR_TLV_EMPTY | TLV has no value. Since: 1.12. |
QMI_CORE_ERROR_UNEXPECTED_MESSAGE | QMI message is unexpected. Since: 1.16. |

Since: 1.0

### enum QmiProtocolError

QMI protocol errors.

#### Members

QMI_PROTOCOL_ERROR_NONE | No error. |
QMI_PROTOCOL_ERROR_MALFORMED_MESSAGE | Malformed message. |
QMI_PROTOCOL_ERROR_NO_MEMORY | No memory. |
QMI_PROTOCOL_ERROR_INTERNAL | Internal. |
QMI_PROTOCOL_ERROR_ABORTED | Aborted. |
QMI_PROTOCOL_ERROR_CLIENT_IDS_EXHAUSTED | Client IDs exhausted. |
QMI_PROTOCOL_ERROR_UNABORTABLE_TRANSACTION | Unabortable transaction. |
QMI_PROTOCOL_ERROR_INVALID_CLIENT_ID | Invalid client ID. |
QMI_PROTOCOL_ERROR_NO_THRESHOLDS_PROVIDED | No thresholds provided. |
QMI_PROTOCOL_ERROR_INVALID_HANDLE | Invalid handle. |
QMI_PROTOCOL_ERROR_INVALID_PROFILE | Invalid profile. |
QMI_PROTOCOL_ERROR_INVALID_PIN_ID | Invalid PIN ID. |
QMI_PROTOCOL_ERROR_INCORRECT_PIN | Incorrect PIN. |
QMI_PROTOCOL_ERROR_NO_NETWORK_FOUND | No network found. |
QMI_PROTOCOL_ERROR_CALL_FAILED | Call failed. |
QMI_PROTOCOL_ERROR_OUT_OF_CALL | Out of call. |
QMI_PROTOCOL_ERROR_NOT_PROVISIONED | Not provisioned. |
QMI_PROTOCOL_ERROR_MISSING_ARGUMENT | Missing argument. |
QMI_PROTOCOL_ERROR_ARGUMENT_TOO_LONG | Argument too long. |
QMI_PROTOCOL_ERROR_INVALID_TRANSACTION_ID | Invalid transaction ID. |
QMI_PROTOCOL_ERROR_DEVICE_IN_USE | Device in use. |
QMI_PROTOCOL_ERROR_NETWORK_UNSUPPORTED | Network unsupported. |
QMI_PROTOCOL_ERROR_DEVICE_UNSUPPORTED | Device unsupported. |
QMI_PROTOCOL_ERROR_NO_EFFECT | No effect. |
QMI_PROTOCOL_ERROR_NO_FREE_PROFILE | No free profile. |
QMI_PROTOCOL_ERROR_INVALID_PDP_TYPE | Invalid PDP type. |
QMI_PROTOCOL_ERROR_INVALID_TECHNOLOGY_PREFERENCE | Invalid technology preference. |
QMI_PROTOCOL_ERROR_INVALID_PROFILE_TYPE | Invalid profile type. |
QMI_PROTOCOL_ERROR_INVALID_SERVICE_TYPE | Invalid service type. |
QMI_PROTOCOL_ERROR_INVALID_REGISTER_ACTION | Invalid register action. |
QMI_PROTOCOL_ERROR_INVALID_PS_ATTACH_ACTION | Invalid PS attach action. |
QMI_PROTOCOL_ERROR_AUTHENTICATION_FAILED | Authentication failed. |
QMI_PROTOCOL_ERROR_PIN_BLOCKED | PIN blocked. |
QMI_PROTOCOL_ERROR_PIN_ALWAYS_BLOCKED | PIN always blocked. |
QMI_PROTOCOL_ERROR_UIM_UNINITIALIZED | UIM uninitialized. |
QMI_PROTOCOL_ERROR_MAXIMUM_QOS_REQUESTS_IN_USE | Maximum QoS requests in use. |
QMI_PROTOCOL_ERROR_INCORRECT_FLOW_FILTER | Incorrect flow filter. |
QMI_PROTOCOL_ERROR_NETWORK_QOS_UNAWARE | Network QoS unaware. |
QMI_PROTOCOL_ERROR_INVALID_QOS_ID | Invalid QoS ID. |
QMI_PROTOCOL_ERROR_QOS_UNAVAILABLE | QoS unavailable. |
QMI_PROTOCOL_ERROR_FLOW_SUSPENDED | Flow suspended. |
QMI_PROTOCOL_ERROR_GENERAL_ERROR | General error. |
QMI_PROTOCOL_ERROR_UNKNOWN_ERROR | Unknown error. |
QMI_PROTOCOL_ERROR_INVALID_ARGUMENT | Invalid argument. |
QMI_PROTOCOL_ERROR_INVALID_INDEX | Invalid index. |
QMI_PROTOCOL_ERROR_NO_ENTRY | No entry. |
QMI_PROTOCOL_ERROR_DEVICE_STORAGE_FULL | Device storage full. |
QMI_PROTOCOL_ERROR_DEVICE_NOT_READY | Device not ready. |
QMI_PROTOCOL_ERROR_NETWORK_NOT_READY | Network not ready. |
QMI_PROTOCOL_ERROR_WMS_CAUSE_CODE | WMS cause code. |
QMI_PROTOCOL_ERROR_WMS_MESSAGE_NOT_SENT | WMS message not sent. |
QMI_PROTOCOL_ERROR_WMS_MESSAGE_DELIVERY_FAILURE | WMS message delivery failure. |
QMI_PROTOCOL_ERROR_WMS_INVALID_MESSAGE_ID | WMS invalid message ID. |
QMI_PROTOCOL_ERROR_WMS_ENCODING | WMS encoding. |
QMI_PROTOCOL_ERROR_AUTHENTICATION_LOCK | Authentication lock. |
QMI_PROTOCOL_ERROR_INVALID_TRANSITION | Invalid transition. |
QMI_PROTOCOL_ERROR_SESSION_INACTIVE | Session inactive. |
QMI_PROTOCOL_ERROR_SESSION_INVALID | Session invalid. |
QMI_PROTOCOL_ERROR_SESSION_OWNERSHIP | Session ownership. |
QMI_PROTOCOL_ERROR_INSUFFICIENT_RESOURCES | Insufficient resources. |
QMI_PROTOCOL_ERROR_DISABLED | Disabled. |
QMI_PROTOCOL_ERROR_INVALID_OPERATION | Invalid operation. |
QMI_PROTOCOL_ERROR_INVALID_QMI_COMMAND | Invalid QMI command. |
QMI_PROTOCOL_ERROR_WMS_T_PDU_TYPE | WMS T-PDU type. |
QMI_PROTOCOL_ERROR_WMS_SMSC_ADDRESS | WMS SMSC address. |
QMI_PROTOCOL_ERROR_INFORMATION_UNAVAILABLE | Information unavailable. |
QMI_PROTOCOL_ERROR_SEGMENT_TOO_LONG | Segment too long. |
QMI_PROTOCOL_ERROR_SEGMENT_ORDER | Segment order. |
QMI_PROTOCOL_ERROR_BUNDLING_NOT_SUPPORTED | Bundling not supported. |
QMI_PROTOCOL_ERROR_POLICY_MISMATCH | Policy mismatch. Since: 1.6. |
QMI_PROTOCOL_ERROR_SIM_FILE_NOT_FOUND | SIM file not found. |
QMI_PROTOCOL_ERROR_EXTENDED_INTERNAL | Extended internal error. Since: 1.6. |
QMI_PROTOCOL_ERROR_ACCESS_DENIED | Access denied. |
QMI_PROTOCOL_ERROR_HARDWARE_RESTRICTED | Hardware restricted. |
QMI_PROTOCOL_ERROR_ACK_NOT_SENT | ACK not sent. Since: 1.6. |
QMI_PROTOCOL_ERROR_INJECT_TIMEOUT | Inject timeout. Since: 1.6. |
QMI_PROTOCOL_ERROR_INCOMPATIBLE_STATE | Incompatible state. Since: 1.6. |
QMI_PROTOCOL_ERROR_FDN_RESTRICT | FDN restrict. Since: 1.6. |
QMI_PROTOCOL_ERROR_SUPS_FAILURE_CASE | SUPS failure case. Since: 1.6. |
QMI_PROTOCOL_ERROR_NO_RADIO | No radio. Since: 1.6. |
QMI_PROTOCOL_ERROR_NOT_SUPPORTED | Not supported. Since: 1.6. |
QMI_PROTOCOL_ERROR_NO_SUBSCRIPTION | No subscription. Since: 1.6. |
QMI_PROTOCOL_ERROR_CARD_CALL_CONTROL_FAILED | Card call control failed. Since: 1.6. |
QMI_PROTOCOL_ERROR_NETWORK_ABORTED | Network aborted. Since: 1.6. |
QMI_PROTOCOL_ERROR_MSG_BLOCKED | Message blocked. Since: 1.6. |
QMI_PROTOCOL_ERROR_INVALID_SESSION_TYPE | Invalid session type. Since: 1.6. |
QMI_PROTOCOL_ERROR_INVALID_PB_TYPE | Invalid PB type. Since: 1.6. |
QMI_PROTOCOL_ERROR_NO_SIM | No SIM. Since: 1.6. |
QMI_PROTOCOL_ERROR_PB_NOT_READY | PB not ready. Since: 1.6. |
QMI_PROTOCOL_ERROR_PIN_RESTRICTION | PIN restriction. Since: 1.6. |
QMI_PROTOCOL_ERROR_PIN2_RESTRICTION | PIN2 restriction. Since: 1.6. |
QMI_PROTOCOL_ERROR_PUK_RESTRICTION | PUK restriction. Since: 1.6. |
QMI_PROTOCOL_ERROR_PUK2_RESTRICTION | PUK2 restriction. Since: 1.6. |
QMI_PROTOCOL_ERROR_PB_ACCESS_RESTRICTED | PB access restricted. Since: 1.6. |
QMI_PROTOCOL_ERROR_PB_TEXT_TOO_LONG | PB text too long. Since: 1.6. |
QMI_PROTOCOL_ERROR_PB_NUMBER_TOO_LONG | PB number too long. Since: 1.6. |
QMI_PROTOCOL_ERROR_PB_HIDDEN_KEY_RESTRICTION | PB hidden key restriction. Since: 1.6. |
QMI_PROTOCOL_ERROR_CAT_EVENT_REGISTRATION_FAILED | Event registration failed. |
QMI_PROTOCOL_ERROR_CAT_INVALID_TERMINAL_RESPONSE | Invalid terminal response. |
QMI_PROTOCOL_ERROR_CAT_INVALID_ENVELOPE_COMMAND | Invalid envelope command. |
QMI_PROTOCOL_ERROR_CAT_ENVELOPE_COMMAND_BUSY | Envelope command busy. |
QMI_PROTOCOL_ERROR_CAT_ENVELOPE_COMMAND_FAILED | Envelope command failed. |

Since: 1.0